Bug 291706 - Only show notifications for highlighted group chat messages
Summary: Only show notifications for highlighted group chat messages
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: text-ui (show other bugs)
Version: git-latest
Platform: Gentoo Packages Linux
: NOR wishlist
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords:
: 304414 (view as bug list)
Depends on: 291703
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-16 22:02 UTC by Elias Probst
Modified: 2013-12-26 16:19 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Elias Probst 2012-01-16 22:02:47 UTC
Version:           git-latest (using Devel) 
OS:                Linux

Currently every message in a group chat window triggers a notification which leads to a very crowded notification area and literally spams it with irrelevant messages.

Notifications for group chat messages should be only shown if a message is highlighted (see bug#291703).

Reproducible: Always

Steps to Reproduce:
1. Join a group chat
2. Wait a moment until some messages by other chat member are written

Actual Results:  
You're being spammed by notifications – one notification per message in the groupchat

Expected Results:  
I'd expect to only receive notifications for messages directed towards me in a group chat, which requires on the other hand detection of messages directed towards myself. See also bug#291703
Comment 1 David Edmundson 2012-01-16 22:19:10 UTC
It's worth noting that we have the following notifications already

 - New conversation (i.e first message in a chat)
 - New message in active chat (i.e you're in the window)
 - New message in inactive chat (i.e in a different tab)
 - New highlighted message (yes, it exists but it's very naive (uses your current nickname, and doesn't highlight in the actual view.))
 
From the sounds of it we need to treat the last 3 differently for 1-1, groups chats and rooms? Is that too many notifications? discuss.
Comment 2 Elias Probst 2012-01-31 08:12:46 UTC
Also: when someone writes a message in a groupchat, the desktop notification says "JohnDoe has sent you a message".

Depending on how the notifications for groupchats will be re-done, this should be 
"JohnDoe has written a message in groupchat FooBar"
or something similar.
Comment 3 Martin Klapetek 2012-08-02 06:22:54 UTC
*** Bug 304414 has been marked as a duplicate of this bug. ***
Comment 4 Pavel Nedrigailov 2013-03-19 07:00:38 UTC
I agree with this proposal. In multi-user conferences with lot of users you don't need to get message to other users notifications. There is no way to do it at the same time:
- turn off non-highlited messages notifications in MUC and
- turn on highlited messages notifications in MUC and
- turn on private messages notifications.

Turning off "Incomming message" notification affects your private AND non-highlighted messages, so you don't know about private even if "Highlighted messages" notification is turned on.

In short, with any settings in any case, you either don't know about private messages or will be spammed by groupchat notifications.
Comment 5 David Edmundson 2013-12-26 16:19:49 UTC
This was fixed by leonhandbrake in 
commit 07fdf03fbf3576beef54601ecd595493e8215100